These are chat archives for spyder-ide/public

6th
Sep 2018
arham-saif
@arham-saif
Sep 06 2018 19:15
Hi I am wondering whether the latest version of spyder is compatible with Python 3.7? It seems like everytime I download Pything 3.7, I have to end up re downloading spyder in Anaconda which reverts me back to Python 3.6
CAM Gerlach
@CAM-Gerlach
Sep 06 2018 19:43
@ccordoba12 It seemed to work fine on master, but I assume there's a requirement either in Spyder or one of its dependencies that's pinning it to <=3.6.
paulgureghian
@paulgureghian_gitlab
Sep 06 2018 19:55
When I launch Spyde from the conda teminal I get just an ipython console. no editor no spyder no nothing. I cant fix it
CAM Gerlach
@CAM-Gerlach
Sep 06 2018 19:56
@paulgureghian_gitlab Screenshot?
paulgureghian
@paulgureghian_gitlab
Sep 06 2018 19:58
I cant get to the snipping tool. the whole screen is ipython
Paul Gureghian
@paulgureghian_twitter
Sep 06 2018 21:26
Capture11.PNG
Paul Gureghian
@paulgureghian_twitter
Sep 06 2018 21:39
Capture1.PNG
My py3 launches correctly, but the ipython console has errors
CAM Gerlach
@CAM-Gerlach
Sep 06 2018 21:42
It might have went into full screen maximized + IPython Console panel maximized by default, perhaps maybe something related to spyder-ide/spyder#7720 or similar?
Paul Gureghian
@paulgureghian_twitter
Sep 06 2018 21:43
what about the py3 console error ?
CAM Gerlach
@CAM-Gerlach
Sep 06 2018 21:45
Okay, with your latest screenshot its clear the IPython console pane is just popped up in front of the main Spyder window behind it. The IPython console errors is a different issue likely caused by a third party package conflict; try conda update ipykernel tornado jupyter_client ipython spyder_kernels to fix.
Paul Gureghian
@paulgureghian_twitter
Sep 06 2018 21:48
thats one command ?
CAM Gerlach
@CAM-Gerlach
Sep 06 2018 21:48
Yes
Paul Gureghian
@paulgureghian_twitter
Sep 06 2018 21:49
it says " package not installed"
i dont have kernels in my py3 env, just spyder
CAM Gerlach
@CAM-Gerlach
Sep 06 2018 21:50
Spelling mistake on kern*a*l: conda update ipykernal tornado jupyter_client ipython spyder_kernals
I do that all the time, sorry.
Paul Gureghian
@paulgureghian_twitter
Sep 06 2018 21:51
i dont have kernels or kernals , just spyder. will it still work ?
it says "ipykernal" is not installed
CAM Gerlach
@CAM-Gerlach
Sep 06 2018 21:53
Oh, I was right the first time lol...it is ipykernel. lol! I just figured that had to have been the mistake since I mix the two up frequently.
And its spyder-kernels, with a hypen not an underscore. Today is not my day, heh.
Paul Gureghian
@paulgureghian_twitter
Sep 06 2018 21:58
can you give me the correct command ?
Capture2.PNG
CAM Gerlach
@CAM-Gerlach
Sep 06 2018 22:03
conda update ipykernel tornado jupyter_client ipython spyder-kernels
Paul Gureghian
@paulgureghian_twitter
Sep 06 2018 22:04
what about the fullscreen issue ? i read the bug report but i did not pickup on what to do
I dont that update actually updated, it said all packages are installed . but it did not prompt me to do anything
CAM Gerlach
@CAM-Gerlach
Sep 06 2018 22:09
Not sure, its not the same issue as there it doesn't seem. Try hitting Esc, F11 and Ctrl-Alt-Shift-M for the maximize pane issue.
Paul Gureghian
@paulgureghian_twitter
Sep 06 2018 22:10
im still getting the console error
CAM Gerlach
@CAM-Gerlach
Sep 06 2018 22:12

Try launching spyder in a fresh conda environment, with only it installed:

conda create -n spyder-test python=3
activate spyder-test
conda install spyder

If that doesn't work, try reverting to the versions of the installed packages specified in the anaconda metapackage. In an environment with the anaconda metapackage already installed, run:

conda update conda
conda install anaconda=5.2.0
conda update spyder spyder-kernels